/*
 * Copyright 2003-2005 The Apache Software Foundation
 * Copyright 2005 Stephen McConnell
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.dpml.cli.validation;

import java.util.List;

/**
 * The validation interface for validating argument values(s).
 *
 * A validator can replace the argument string value with a
 * specific class instance e.g. the {@link URLValidator} replaces
 * the string value with a {@link java.net.URL} instance.
 *
 * @author <a href="@PUBLISHER-URL@">@PUBLISHER-NAME@</a>
 * @version @PROJECT-VERSION@
 */
public interface Validator
{
    /**
     * Validate the specified values (List of Strings).
     * 
     * @param values The values to validate.
     * @throws InvalidArgumentException If any of the 
     * specified values are not valid.
     */
    void validate( List values ) throws InvalidArgumentException;

}
